Package com.creditcall.chipdnamobile

# Enum Class DeferredAuthorizationReason

java.lang.Object
java.lang.Enum<DeferredAuthorizationReason>
com.creditcall.chipdnamobile.DeferredAuthorizationReason

All Implemented Interfaces:
  `Serializable`, `Comparable<DeferredAuthorizationReason>`, `Constable`

public enum DeferredAuthorizationReason extends Enum<DeferredAuthorizationReason>
The possible reasons why a deferred auth has occured.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CommunicationFailed`
  Communication error while processing the request.
  `ConnectionFailed`
  Unable to connect.
  `None`
  `ProcessingFailed`
  Platform failed to connect to processor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DeferredAuthorizationReason`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DeferredAuthorizationReason[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### None

    public static final DeferredAuthorizationReason None

  - ### ConnectionFailed

    public static final DeferredAuthorizationReason ConnectionFailed
    Unable to connect.

  - ### CommunicationFailed

    public static final DeferredAuthorizationReason CommunicationFailed
    Communication error while processing the request.

  - ### ProcessingFailed

    public static final DeferredAuthorizationReason ProcessingFailed
    Platform failed to connect to processor.

- ## Method Details

  - ### values

    public static DeferredAuthorizationReason[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DeferredAuthorizationReason valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null